#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEA,0x97,0xA9,0x74,0x61,0xE7,0xBE,0x8F,0x4D,0x45,0xE6,0x59,
		0xC5,0x47,0x4E,0x85,0x77,0x6E,0xD2,0xC2,0x9D,0x87,0x81,0x44,
		0x12,0xEB,0xE4,0x74,0xFF,0xEB,0x4D,0x42,0x47,0x83,0x59,0x82,
		0x27,0x54,0x8D,0xB6,0x50,0xFD,0x92,0xC9,0xEA,0xBC,0x52,0xCE,
		0x0D,0xB6,0xDC,0x3E,0x4F,0xB8,0xF7,0xD6,0x0B,0x34,0x2E,0x58,
		0x6D,0x07,0xE8,0x7B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
